> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Cameroon — XAF Collection Application

> Cameroon — XAF Collection Application (POST /xaf/collect/apply): Use the appId corresponding to XAF. Cameroon collection supports Mobile Money (EWALLET) only. Amount range: 1,000-5,000,000 (integer, no decimal places). Key request parameters include orderId, name, phone, email.

> [!NOTE]
>
> All example requests on this page are based on the **sandbox (test) environment**. Please be careful to distinguish it from the production environment.

#### Secret Key & Private Key (Generate Signature)

## Related Topics

* [Cameroon Payment API](https://doc.haipay.net/en/payments/local/cameroon.md)
* [HaiPay API Reference Overview](https://doc.haipay.net/en/api-reference/overview.md)
* [HaiPay Configuration and Signature Guide](https://doc.haipay.net/en/get-started/configuration-and-signatures.md)
* [Cameroon — XAF Collection Query (POST /xaf/collect/query)](https://doc.haipay.net/en/api-reference/xaf/collect-query.md)
* [Handle Asynchronous Notifications and Verify Signatures](https://doc.haipay.net/en/operations/callback.md)
* [Look Up API Response Structure and Error Codes](https://doc.haipay.net/en/resources/error-responses.md)
* [Look Up Collection Payment Types and Codes (payType)](https://doc.haipay.net/en/resources/cashin-code-list.md)


## OpenAPI

````yaml docs/en/api-reference/xaf/xaf.openapi.json POST /xaf/collect/apply
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /xaf/collect/apply:
    post:
      tags: []
      summary: XAF Collection Application
      description: >-
        Use the appId corresponding to XAF. Cameroon collection supports Mobile
        Money (EWALLET) only. Amount range: 1,000-5,000,000 (integer, no decimal
        places).
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: >-
                    Business ID (obtained from backend, needs to pass the
                    corresponding Business ID based on the currency in the URL)
                orderId:
                  type: string
                  description: Merchant order number
                  maxLength: 48
                name:
                  type: string
                  description: Payer name
                phone:
                  type: string
                  description: >-
                    Payer mobile number (Cameroon mobile number, 12 digits
                    starting with 237)
                email:
                  type: string
                  description: Payer email address
                  format: email
                amount:
                  type: string
                  description: >-
                    Transaction amount (unit: FCFA), integer only (no decimal
                    places). Range: 1,000-5,000,000
                payType:
                  type: string
                  description: 'Payment Method Type: EWALLET'
                  enum:
                    - EWALLET
                inBankCode:
                  type: string
                  description: 'Payment Method Code: MTN / ORANGE'
                callBackUrl:
                  type: string
                  description: Redirect URL after successful payment
                  format: uri
                callBackFailUrl:
                  type: string
                  description: Redirect URL after failed payment
                  format: uri
                notifyUrl:
                  type: string
                  description: Callback URL
                  format: uri
                subject:
                  type: string
                  description: >-
                    Payment remark (transaction title, product name, payment
                    reason)
                body:
                  type: string
                  description: Remark details
                partnerUserId:
                  type: string
                  description: >-
                    Unique user identifier (e.g., userId), used for risk control
                    system, must be valid, otherwise it will affect the
                    transaction. Format: digits, letters, or symbols
                    -~!@#$%&*()_
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                sign:
                  type: string
                  description: Signature
              required:
                - appId
                - orderId
                - name
                - phone
                - email
                - amount
                - payType
                - inBankCode
                - callBackUrl
                - callBackFailUrl
                - subject
                - partnerUserId
                - sign
            example:
              appId: 1054
              orderId: M233323000059
              name: Jean-Pierre Mbarga
              phone: '237612345678'
              email: jeanpierre.mbarga@gmail.com
              amount: '15000'
              payType: EWALLET
              inBankCode: MTN
              callBackUrl: https://merchant.com/payment/success
              callBackFailUrl: https://merchant.com/payment/fail
              notifyUrl: https://merchant.com/api/notify
              subject: Payment for order
              body: Premium subscription
              partnerUserId: '149597870'
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: '1: Normal, 0: Exception'
                  error:
                    type: string
                    description: Error code
                  msg:
                    type: string
                    description: Error description
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: Merchant order number (must be unique)
                      orderNo:
                        type: string
                        description: Platform order number
                      payUrl:
                        type: string
                        description: Payment link
                      sign:
                        type: string
                        description: Signature
                    additionalProperties: true
                additionalProperties: true
              examples:
                success:
                  summary: Success
                  value:
                    status: '1'
                    error: '00000000'
                    msg: ''
                    data:
                      orderId: M233323000059
                      orderNo: '6023071013539074'
                      payUrl: https://pay.haipay.asia/cashier/1L9zQS2
                      sign: >-
                        af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
                param_error:
                  summary: Parameter validation failed
                  value:
                    status: '0'
                    error: '1001'
                    msg: orderId can not blank
                    data: null
                sign_error:
                  summary: Signature error
                  value:
                    status: '0'
                    error: '1002'
                    msg: Invalid request signature
                    data: null
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.